summaryrefslogtreecommitdiff
path: root/libc/intl
diff options
context:
space:
mode:
authorjoseph <joseph@7b3dc134-2b1b-0410-93df-9e9f96275f8d>2012-09-25 14:42:18 +0000
committerjoseph <joseph@7b3dc134-2b1b-0410-93df-9e9f96275f8d>2012-09-25 14:42:18 +0000
commitaeb5b827c5f7ed858a5b15101d1a3893356cc6ba (patch)
tree5d8e4382197847df3cf875caac4994390b6f1094 /libc/intl
parent598804b7d4191eddbaf24784c3b25a6c4d6f33cd (diff)
Merge changes between r20391 and r20863 from /fsf/trunk.
git-svn-id: svn://svn.eglibc.org/trunk@20864 7b3dc134-2b1b-0410-93df-9e9f96275f8d
Diffstat (limited to 'libc/intl')
-rw-r--r--libc/intl/Makefile12
-rwxr-xr-xlibc/intl/tst-gettext.sh5
-rw-r--r--libc/intl/tst-gettext2.sh5
-rwxr-xr-xlibc/intl/tst-gettext4.sh5
-rw-r--r--libc/intl/tst-gettext6.sh5
-rwxr-xr-xlibc/intl/tst-translit.sh5
6 files changed, 21 insertions, 16 deletions
diff --git a/libc/intl/Makefile b/libc/intl/Makefile
index b70f0d0fa..c408120eb 100644
--- a/libc/intl/Makefile
+++ b/libc/intl/Makefile
@@ -1,4 +1,4 @@
-# Copyright (C) 1995-2003,2005,2008,2011,2012 Free Software Foundation, Inc.
+# Copyright (C) 1995-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
@@ -75,18 +75,18 @@ $(codeset_mo): tstcodeset.po
$(objpfx)mtrace-tst-gettext: $(objpfx)tst-gettext.out
$(common-objpfx)malloc/mtrace $(objpfx)tst-gettext.mtrace > $@
$(objpfx)tst-gettext.out: tst-gettext.sh $(objpfx)tst-gettext
- $(SHELL) -e $< $(common-objpfx) $(common-objpfx)intl/ \
+ $(SHELL) $< $(common-objpfx) $(common-objpfx)intl/ \
$(objpfx)tst-gettext.mtrace '$(cross-test-wrapper)'
$(objpfx)tst-translit.out: tst-translit.sh $(objpfx)tst-translit
- $(SHELL) -e $< $(common-objpfx) $(common-objpfx)intl/ \
+ $(SHELL) $< $(common-objpfx) $(common-objpfx)intl/ \
'$(cross-test-wrapper)'
$(objpfx)tst-gettext2.out: tst-gettext2.sh $(objpfx)tst-gettext2
- $(SHELL) -e $< $(common-objpfx) $(common-objpfx)intl/ \
+ $(SHELL) $< $(common-objpfx) $(common-objpfx)intl/ \
'$(cross-test-wrapper)'
$(objpfx)tst-gettext4.out: tst-gettext4.sh $(objpfx)tst-gettext4
- $(SHELL) -e $< $(common-objpfx) '$(run-program-prefix)' $(common-objpfx)intl/
+ $(SHELL) $< $(common-objpfx) '$(run-program-prefix)' $(common-objpfx)intl/
$(objpfx)tst-gettext6.out: tst-gettext6.sh $(objpfx)tst-gettext6
- $(SHELL) -e $< $(common-objpfx) '$(run-program-prefix)' $(common-objpfx)intl/
+ $(SHELL) $< $(common-objpfx) '$(run-program-prefix)' $(common-objpfx)intl/
$(objpfx)tst-codeset.out: $(codeset_mo)
$(objpfx)tst-gettext3.out: $(codeset_mo)
diff --git a/libc/intl/tst-gettext.sh b/libc/intl/tst-gettext.sh
index 8529ba997..fd36191d3 100755
--- a/libc/intl/tst-gettext.sh
+++ b/libc/intl/tst-gettext.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Test of gettext functions.
-# Copyright (C) 2000, 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
objpfx=$2
malloc_trace=$3
diff --git a/libc/intl/tst-gettext2.sh b/libc/intl/tst-gettext2.sh
index a9c36aad0..b6f439daf 100644
--- a/libc/intl/tst-gettext2.sh
+++ b/libc/intl/tst-gettext2.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Test of gettext functions.
-# Copyright (C) 2000, 2003, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
objpfx=$2
cross_test_wrapper=$3
diff --git a/libc/intl/tst-gettext4.sh b/libc/intl/tst-gettext4.sh
index ac95be197..4067071c7 100755
--- a/libc/intl/tst-gettext4.sh
+++ b/libc/intl/tst-gettext4.sh
@@ -1,9 +1,8 @@
#! /bin/sh
# Test that gettext() in multithreaded applications works correctly if
# different threads operate in different locales with the same encoding.
-# Copyright (C) 2001, 2002, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2001-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -19,6 +18,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
run_program_prefix=$2
objpfx=$3
diff --git a/libc/intl/tst-gettext6.sh b/libc/intl/tst-gettext6.sh
index b83678ed0..2db0cd653 100644
--- a/libc/intl/tst-gettext6.sh
+++ b/libc/intl/tst-gettext6.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Test that gettext() in multithreaded applications works correctly.
-# Copyright (C) 2008 Free Software Foundation, Inc.
+# Copyright (C) 2008-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
run_program_prefix=$2
objpfx=$3
diff --git a/libc/intl/tst-translit.sh b/libc/intl/tst-translit.sh
index c5d4bc95c..ba88928a6 100755
--- a/libc/intl/tst-translit.sh
+++ b/libc/intl/tst-translit.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Test of transliteration in gettext functions.
-# Copyright (C) 2000, 2002, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
objpfx=$2
cross_test_wrapper=$3